# Uses of Class
org.eclipse.birt.report.model.api.ReportItemThemeHandle

Packages that use ReportItemThemeHandle
Package
Description
org.eclipse.birt.report.model.api
Tool-writer's interface for the BIRT design model (also known as the "Design Engine.")

## Uses of ReportItemThemeHandle in org.eclipse.birt.report.model.api

Methods in org.eclipse.birt.report.model.api that return ReportItemThemeHandle
Modifier and Type
Method
Description
`final ReportItemThemeHandle`
ModuleHandleImpl.`findReportItemTheme(String name)`
Finds a report item theme by its name in this module and its included libraries.
`final ReportItemThemeHandle`
ReportItemHandleImpl.`getTheme()`
Returns the refresh rate when viewing the report.
Methods in org.eclipse.birt.report.model.api that return types with arguments of type ReportItemThemeHandle
Modifier and Type
Method
Description
`List<ReportItemThemeHandle>`
ModuleHandleImpl.`getVisibleReportItemThemes(int level, String type)`
Returns report item theme handles according the input level.
Methods in org.eclipse.birt.report.model.api with parameters of type ReportItemThemeHandle
Modifier and Type
Method
Description
`void`
ReportItemHandleImpl.`setTheme(ReportItemThemeHandle theme)`
Set the theme